## r-cran-geometry 0.3

=== DESCRIPTION ===
Package: geometry
License: GPL (>= 3) + file LICENSE
Title: Mesh Generation and Surface Tesselation
Authors@R: c(person("C. B.", "Barber" , role="cph"), person("Kai", "Habel",
    role=c("cph","aut")), person("Raoul", "Grasman", role=c("cph","aut")),
    person("Robert B.", "Gramacy", role=c("cph","aut")), person("Andreas",
    "Stahel", role=c("cph","aut")), person("David C.", "Sterratt",
    role=c("cph","aut","cre"), email="david.c.sterratt@ed.ac.uk"))
Description: Makes the qhull library (www.qhull.org)
    available in R, in a similar manner as in Octave and MATLAB. Qhull
    computes convex hulls, Delaunay triangulations, halfspace
    intersections about a point, Voronoi diagrams, furthest-site
    Delaunay triangulations, and furthest-site Voronoi diagrams. It
    runs in 2-d, 3-d, 4-d, and higher dimensions. It implements the
    Quickhull algorithm for computing the convex hull. Qhull does not
    support constrained Delaunay triangulations, or mesh generation of
    non-convex objects, but the package does include some R functions
    that allow for this. Currently the package only gives access to
    Delaunay triangulation and convex hull computation.
Version: 0.3-6
URL: http://geometry.r-forge.r-project.org/
Date: 2015-09-04
BugReports: https://r-forge.r-project.org/tracker/?group_id=1149
Depends: R (>= 2.5.0), magic
Suggests: testthat, rgl, R.matlab, tripack
NeedsCompilation: yes
Packaged: 2015-09-09 10:46:51 UTC; sterratt
Author: C. B. Barber [cph],
  Kai Habel [cph, aut],
  Raoul Grasman [cph, aut],
  Robert B. Gramacy [cph, aut],
  Andreas Stahel [cph, aut],
  David C. Sterratt [cph, aut, cre]
Maintainer: David C. Sterratt <david.c.sterratt@ed.ac.uk>
Repository: CRAN
Date/Publication: 2015-09-09 13:47:14

## r-cran-geometry 0.3-6+dfsg

=== debian/changelog ===
r-cran-geometry (0.3-6+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Thu, 13 Dec 2018 07:44:28 +0100

r-cran-geometry (0.3-6+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #895529)

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 07:53:54 +0200

=== debian/control ===
Source: r-cran-geometry
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-magic,
               libqhull-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geometry
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geometry.git
Homepage: https://cran.r-project.org/package=geometry

Package: r-cran-geometry
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R mesh generation and surface tesselation
 This GNU R package makes the qhull library (www.qhull.org)
 available in R, in a similar manner as in Octave and MATLAB. Qhull
 computes convex hulls, Delaunay triangulations, halfspace
 intersections about a point, Voronoi diagrams, furthest-site
 Delaunay triangulations, and furthest-site Voronoi diagrams. It
 runs in 2-d, 3-d, 4-d, and higher dimensions. It implements the
 Quickhull algorithm for computing the convex hull. Qhull does not
 support constrained Delaunay triangulations, or mesh generation of
 non-convex objects, but the package does include some R functions
 that allow for this. Currently the package only gives access to
 Delaunay triangulation and convex hull computation.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/geometry_([-\d.]*)\.tar\.gz

## r-cran-geometry 0.4.2

=== debian/changelog ===
r-cran-geometry (0.4.2-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

  [ Dylan Aïssi ]
  * Use the embedded qhull library.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 23 Jul 2019 16:18:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-magic,
-               libqhull-dev
-Standards-Version: 4.2.1
+               r-cran-rcpp,
+               r-cran-lpsolve,
+               r-cran-linprog,
+               r-cran-rcppprogress
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geometry
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geometry.git
 Homepage: https://cran.r-project.org/package=geometry

## r-cran-geometry 0.4.5

=== DESCRIPTION ===
Package: geometry
License: GPL (>= 3)
Title: Mesh Generation and Surface Tessellation
Authors@R: c(
    person("Jean-Romain", "Roussel" , role=c("cph", "ctb"), comment = "wrote tsearch function with QuadTrees"),
    person("C. B.", "Barber" , role="cph"), 
    person("Kai", "Habel", role=c("cph","aut")), 
    person("Raoul", "Grasman", role=c("cph","aut")),
    person("Robert B.", "Gramacy", role=c("cph","aut")),
    person("Pavlo", "Mozharovskyi", role=c("cph","aut")),
    person("David C.", "Sterratt", role=c("cph","aut","cre"), email="david.c.sterratt@ed.ac.uk", comment=c(ORCID="0000-0001-9092-9099")))
Description: Makes the 'Qhull' library <http://www.qhull.org>
    available in R, in a similar manner as in Octave and MATLAB. Qhull
    computes convex hulls, Delaunay triangulations, halfspace
    intersections about a point, Voronoi diagrams, furthest-site
    Delaunay triangulations, and furthest-site Voronoi diagrams. It
    runs in 2D, 3D, 4D, and higher dimensions. It implements the
    Quickhull algorithm for computing the convex hull. Qhull does not
    support constrained Delaunay triangulations, or mesh generation of
    non-convex objects, but the package does include some R functions
    that allow for this.
Version: 0.4.5
URL: https://davidcsterratt.github.io/geometry
Date: 2019-12-02
BugReports: https://github.com/davidcsterratt/geometry/issues
Depends: R (>= 3.0.0)
Imports: magic, Rcpp, lpSolve, linprog
Suggests: spelling, testthat, rgl, R.matlab, tripack
RoxygenNote: 6.1.1
LinkingTo: Rcpp, RcppProgress
Encoding: UTF-8
Language: en-GB
NeedsCompilation: yes
Packaged: 2019-12-03 20:33:39 UTC; dcs
Author: Jean-Romain Roussel [cph, ctb] (wrote tsearch function with QuadTrees),
  C. B. Barber [cph],
  Kai Habel [cph, aut],
  Raoul Grasman [cph, aut],
  Robert B. Gramacy [cph, aut],
  Pavlo Mozharovskyi [cph, aut],
  David C. Sterratt [cph, aut, cre]
    (<https://orcid.org/0000-0001-9092-9099>)
Maintainer: David C. Sterratt <david.c.sterratt@ed.ac.uk>
Repository: CRAN
Date/Publication: 2019-12-04 09:40:02 UTC

=== debian/changelog ===
r-cran-geometry (0.4.5-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:21 +0100

r-cran-geometry (0.4.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Fri, 06 Dec 2019 18:44:58 +0100

r-cran-geometry (0.4.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 13 Sep 2019 09:26:20 +0200

r-cran-geometry (0.4.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Andreas Tille <tille@debian.org>  Mon, 26 Aug 2019 09:18:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-magic,
@@ -11,7 +11,7 @@
                r-cran-lpsolve,
                r-cran-linprog,
                r-cran-rcppprogress
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geometry
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geometry.git
 Homepage: https://cran.r-project.org/package=geometry

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name COPYING.txt -delete

## r-cran-geometry 0.4.6.1

=== debian/changelog ===
r-cran-geometry (0.4.6.1-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jul 2022 13:44:22 +0200

r-cran-geometry (0.4.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 29 Apr 2022 11:36:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,14 @@
 Source: r-cran-geometry
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geometry
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geometry.git
+Homepage: https://cran.r-project.org/package=geometry
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-magic,
@@ -11,10 +16,7 @@
                r-cran-lpsolve,
                r-cran-linprog,
                r-cran-rcppprogress
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geometry
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geometry.git
-Homepage: https://cran.r-project.org/package=geometry
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-geometry
 Architecture: any

## r-cran-geometry 0.4.7

=== DESCRIPTION ===
--- 
+++ 
@@ -19,19 +19,19 @@
     support constrained Delaunay triangulations, or mesh generation of
     non-convex objects, but the package does include some R functions
     that allow for this.
-Version: 0.4.5
-URL: https://davidcsterratt.github.io/geometry
-Date: 2019-12-02
+Version: 0.4.7
+URL: https://davidcsterratt.github.io/geometry/
+Date: 2023-02-03
 BugReports: https://github.com/davidcsterratt/geometry/issues
 Depends: R (>= 3.0.0)
 Imports: magic, Rcpp, lpSolve, linprog
-Suggests: spelling, testthat, rgl, R.matlab, tripack
-RoxygenNote: 6.1.1
+Suggests: spelling, testthat, rgl, R.matlab, interp
 LinkingTo: Rcpp, RcppProgress
 Encoding: UTF-8
 Language: en-GB
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2019-12-03 20:33:39 UTC; dcs
+Packaged: 2023-02-03 22:24:09 UTC; dcs
 Author: Jean-Romain Roussel [cph, ctb] (wrote tsearch function with QuadTrees),
   C. B. Barber [cph],
   Kai Habel [cph, aut],
@@ -42,4 +42,4 @@
     (<https://orcid.org/0000-0001-9092-9099>)
 Maintainer: David C. Sterratt <david.c.sterratt@ed.ac.uk>
 Repository: CRAN
-Date/Publication: 2019-12-04 09:40:02 UTC
+Date/Publication: 2023-02-03 23:02:29 UTC

=== debian/changelog ===
r-cran-geometry (0.4.7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2023 13:39:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geometry
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geometry.git
 Homepage: https://cran.r-project.org/package=geometry
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===


=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/geometry_([-\d.]*)\.tar\.gz

## r-cran-geometry 0.5.0

=== debian/changelog ===
r-cran-geometry (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 10 Oct 2024 12:47:16 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geometry
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geometry.git
 Homepage: https://cran.r-project.org/package=geometry
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-geometry 0.5.1

=== debian/changelog ===
r-cran-geometry (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 23 Jan 2025 08:30:16 +0900

## r-cran-geometry 0.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Title: Mesh Generation and Surface Tessellation
 Authors@R: c(
     person("Jean-Romain", "Roussel" , role=c("cph", "ctb"), comment = "wrote tsearch function with QuadTrees"),
-    person("C. B.", "Barber" , role="cph"), 
-    person("Kai", "Habel", role=c("cph","aut")), 
+    person("C. B.", "Barber" , role="cph"),
+    person("Kai", "Habel", role=c("cph","aut")),
     person("Raoul", "Grasman", role=c("cph","aut")),
     person("Robert B.", "Gramacy", role=c("cph","aut")),
     person("Pavlo", "Mozharovskyi", role=c("cph","aut")),
@@ -19,19 +19,19 @@
     support constrained Delaunay triangulations, or mesh generation of
     non-convex objects, but the package does include some R functions
     that allow for this.
-Version: 0.4.7
+Version: 0.5.2
 URL: https://davidcsterratt.github.io/geometry/
-Date: 2023-02-03
+Date: 2025-02-08
 BugReports: https://github.com/davidcsterratt/geometry/issues
-Depends: R (>= 3.0.0)
+Depends: R (>= 3.5.0)
 Imports: magic, Rcpp, lpSolve, linprog
 Suggests: spelling, testthat, rgl, R.matlab, interp
 LinkingTo: Rcpp, RcppProgress
 Encoding: UTF-8
 Language: en-GB
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2023-02-03 22:24:09 UTC; dcs
+Packaged: 2025-02-08 18:21:07 UTC; dcs
 Author: Jean-Romain Roussel [cph, ctb] (wrote tsearch function with QuadTrees),
   C. B. Barber [cph],
   Kai Habel [cph, aut],
@@ -42,4 +42,4 @@
     (<https://orcid.org/0000-0001-9092-9099>)
 Maintainer: David C. Sterratt <david.c.sterratt@ed.ac.uk>
 Repository: CRAN
-Date/Publication: 2023-02-03 23:02:29 UTC
+Date/Publication: 2025-02-08 22:10:02 UTC

=== debian/changelog ===
r-cran-geometry (0.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 26 Feb 2025 09:18:32 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geometry
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geometry.git
 Homepage: https://cran.r-project.org/package=geometry
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-spelling,
        r-cran-testthat,
        r-cran-rgl,
        r-cran-interp
Restrictions: allow-stderr
